<template>
  <div class="traffic">
    <div class="title">
      <span>智慧交通</span>
      <img src="../../../assets/img/zonlan (9).png" alt="" />
    </div>
    <div class="content">
      <div id="enterprise"></div>
      <div id="shipping"></div>
    </div>
  </div>
</template>

<script>
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return {};
  },
  //方法集合
  methods: {
    async drawLine() {
      const { data: dt } = await this.$http.get(
        "/jeecg-boot/traffic/traffic/queryall"
      );
      var value1 = [];
      var value2 = [];

      for (var i = 0; i < dt.result.length; i++) {
        if (dt.result[i].name == "港行企业") {
          value2.push(dt.result[i]);
        } else if (
          dt.result[i].name == "企业总数" ||
          dt.result[i].name == "个体企业" ||
          dt.result[i].name == "维修企业" ||
          dt.result[i].name == "监测机构" ||
          dt.result[i].name == "驾校"
        ) {
          value1.push(dt.result[i]);
        } else if (
          dt.result[i].name == "租赁企业" ||
          dt.result[i].name == "运输企业"
        ) {
          value1.push(dt.result[i]);
          value2.push(dt.result[i]);
        }
      }
      this.enterpriseoption(value1);
      this.shippingoption(value2);
    },
    enterpriseoption(result) {
      var item1 = "";
      var item2 = [];
      for (var i in result) {
        if (result[i].name == "企业总数" || result[i].name == "个体企业") {
          var value1 = result[i].name + result[i].value;
          item1 += value1;
        } else {
          item2.push({ value: result[i].value, name: result[i].name });
        }
      }
      let leftChart = this.$echarts.init(document.getElementById("enterprise"));
      let option = {
        baseOption: {
          //标题
          title: {
            top: "5%",
            left: "1%",
            text: item1,

            left: "center",
            textStyle: {
              color: "#fff",
              fontSize: 25,
            },
          },

          //提示框
          tooltip: {
            trigger: "item",
            // 提示框浮层内容格式器 {a}（系列名称），{b}（数据项名称，{c}（数值, {d}（百分比）
            formatter: "{a} <br/>{b} : {c} ({d}%)",
          },
          legend: {
            // orient: "vertical",
            orient: "horizontal",
            left: "center",
            bottom: "0",
            textStyle: {
              fontSize: 15, //字体大小
              color: "#ffffff", //字体颜色
            },
          },

          //标签
          label: {
            show: true,
            formatter: "{b} \n {d}%",
            fontSize: 20,
          },

          //标签线
          labelLine: {
            normal: {
              show: true,
            },
          },

          series: [
            {
              name: "工业企业比例",
              type: "pie",
              center: ["50%", "60%"],
              radius: ["40%", "50%"],
              data: item2,
              color: [
                "#c487ee",
                "#deb140",
                "#49dff0",
                "#034079",
                "#6f81da",
                "#00ffb4",
              ],
              itemStyle: {
                emphasis: {
                  shadowBlur: 10,
                  shadowOffsetX: 0,
                  shadowColor: "rgba(0, 0, 0, 0.5)",
                },
              },
            },
          ],
        },
        //媒体查询
        media: [
          {
            query: {
              minWidth: 550,
            },
            option: {
              title: {
                textStyle: {
                  fontSize: 20,
                },
              },
              legend: {
                orient: "vertical",
                left: "left",
                top: "20%",
                textStyle: {
                  color: "#fff",
                  fontSize: 10,
                },
              },
              series: [
                {
                  center: ["50%", "50%"],
                  radius: ["30%", "50%"],
                  label: {
                    fontSize: 15,
                  },
                },
              ],
            },
          },
        ],
      };
      // 绘制图表
      leftChart.setOption(option);
    },
    shippingoption(result) {
      // 基于准备好的dom，初始化echarts实例
      var item1 = "";
      var item2 = [];
      for (var i in result) {
        if (result[i].name == "港行企业") {
          var value1 = result[i].name + result[i].value;
          item1 += value1;
        } else {
          item2.push({ value: result[i].value, name: result[i].name });
        }
      }
      let rightChart = this.$echarts.init(document.getElementById("shipping"));
      let option = {
        baseOption: {
          //标题
          title: {
            top: "5%",
            text: item1,
            left: "1%",
            left: "center",
            textStyle: {
              color: "#fff",
              fontSize: 25,
            },
          },
          //提示框
          tooltip: {
            trigger: "item",
            // 提示框浮层内容格式器 {a}（系列名称），{b}（数据项名称，{c}（数值, {d}（百分比）
            formatter: "{a} <br/>{b} : {c} ({d}%)",
          },
          //标签
          label: {
            show: true,
            formatter: "{b} \n {d}%",
            fontSize: 20,
          },
          legend: {
            // orient: "vertical",
            orient: "horizontal",
            left: "center",
            bottom: "0",
            textStyle: {
              fontSize: 15, //字体大小
              color: "#ffffff", //字体颜色
            },
          },
          //标签线
          labelLine: {
            normal: {
              show: true,
            },
          },
          series: [
            {
              name: "工业企业比例",
              type: "pie",
              center: ["50%", "60%"],
              radius: ["40%", "50%"],
              data: item2,
              color: ["#007BEF", "#00EF7C", "#3156E3"],
              itemStyle: {
                emphasis: {
                  shadowBlur: 10,
                  shadowOffsetX: 0,
                  shadowColor: "rgba(0, 0, 0, 0.5)",
                },
              },
            },
          ],
        },
        //媒体查询
        media: [
          {
            query: {
              minWidth: 550,
            },
            option: {
              title: {
                textStyle: {
                  fontSize: 20,
                },
              },
              legend: {
                orient: "vertical",
                left: "left",
                top: "20%",
                textStyle: {
                  color: "#fff",
                  fontSize: 10,
                },
              },
              series: [
                {
                  center: ["50%", "50%"],
                  radius: ["30%", "50%"],
                  label: {
                    fontSize: 15,
                  },
                },
              ],
            },
          },
        ],
      };
      rightChart.setOption(option);
    },
  },
  mounted() {
    this.drawLine();
  },
  created() {},
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.traffic {
  height: calc(50vh - 158px);
  overflow: hidden;
  background: rgba(8, 32, 58, 0.7);
  .title {
    width: 100%;
    position: relative;
    img {
      width: 100%;
    }
    span {
      font-size: 78px;
      font-weight: 400;
      color: #ffe86b;
      background: linear-gradient(0deg, #bce7ff 0%, #69efff 98.6572265625%);
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
      position: absolute;
      left: 50%;
      top: 0;
      transform: translateX(-50%);
    }
  }
  .content {
    width: 100%;
    height: 90%;
    box-sizing: border-box;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: center;
    #enterprise {
      width: 49%;
      height: 100%;
    }
    #shipping {
      width: 49%;
      height: 100%;
    }
  }
}
@media only screen and (max-width: 2560px) {
  .traffic {
    height: auto;
    overflow: visible;
    background: transparent;
    .content {
      height: auto;

      #enterprise {
        width: 50%;
        height: 2400px;
      }
      #shipping {
        width: 50%;
        height: 2400px;
      }
    }
  }
}
</style>
